## r-cran-mockery 0.4.1

=== DESCRIPTION ===
Package: mockery
Version: 0.4.1
Title: Mocking Library for R
Description: 
    The two main functionalities of this package are creating mock
    objects (functions) and selectively intercepting calls to a given
    function that originate in some other function. It can be used
    with any testing framework available for R. Mock objects can
    be injected with either this package's own stub() function or a
    similar with_mock() facility present in the testthat package. 
Authors@R: c(
    person("Noam", "Finkelstein", role = c("aut", "cre"),
           email = "noam.finkelstein@jhu.edu"),
    person("Lukasz", "Bartnik", rol = c("aut"),
           email = "l.bartnik@gmail.com")
    )
URL: https://github.com/n-s-f/mockery
BugReports: https://github.com/n-s-f/mockery/issues
Imports: testthat
Suggests: knitr, rmarkdown (>= 1.0)
License: MIT + file LICENSE
Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-11-10 14:58:33 UTC; noam
Author: Noam Finkelstein [aut, cre],
  Lukasz Bartnik [aut]
Maintainer: Noam Finkelstein <noam.finkelstein@jhu.edu>
Repository: CRAN
Date/Publication: 2017-11-10 18:22:21 UTC

=== debian/changelog ===
r-cran-mockery (0.4.1-1) unstable; urgency=medium

  * Initial release (closes: #882604)

 -- Andreas Tille <tille@debian.org>  Sat, 25 Nov 2017 10:57:44 +0100

=== debian/control ===
Source: r-cran-mockery
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-testthat
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-mockery.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-mockery.git
Homepage: https://cran.r-project.org/package=mockery

Package: r-cran-mockery
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: mocking library for GNU R
 The two main functionalities of this package are creating mock
 objects (functions) and selectively intercepting calls to a given
 function that originate in some other function. It can be used
 with any testing framework available for R. Mock objects can
 be injected with either this package's own stub() function or a
 similar with_mock() facility present in the testthat package.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/mockery_([-\d.]*)\.tar\.gz

## r-cran-mockery 0.4.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: mockery
-Version: 0.4.1
+Version: 0.4.1.1
 Title: Mocking Library for R
 Description: 
     The two main functionalities of this package are creating mock
@@ -17,15 +17,18 @@
 URL: https://github.com/n-s-f/mockery
 BugReports: https://github.com/n-s-f/mockery/issues
 Imports: testthat
-Suggests: knitr, rmarkdown (>= 1.0)
+Suggests: knitr, rmarkdown (>= 1.0), R6
 License: MIT + file LICENSE
 Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-11-10 14:58:33 UTC; noam
+Packaged: 2018-08-19 08:39:12 UTC; hornik
 Author: Noam Finkelstein [aut, cre],
   Lukasz Bartnik [aut]
-Maintainer: Noam Finkelstein <noam.finkelstein@jhu.edu>
+Maintainer: ORPHANED
 Repository: CRAN
-Date/Publication: 2017-11-10 18:22:21 UTC
+Date/Publication: 2018-08-19 08:51:36 UTC
+X-CRAN-Original-Maintainer: Noam Finkelstein <noam.finkelstein@jhu.edu>
+X-CRAN-Comment: Orphaned and corrected on 2018-08-19 as check problems
+        were not corrected despite reminders.

=== debian/changelog ===
r-cran-mockery (0.4.1.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:20:47 +0800

r-cran-mockery (0.4.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 07:47:27 +0200

r-cran-mockery (0.4.1+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Exclude autogenerated HTML containing minimized JS

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 18:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: r-cran-mockery
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-testthat
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-mockery.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-mockery.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
 Homepage: https://cran.r-project.org/package=mockery
 
 Package: r-cran-mockery
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-mockery 0.4.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-testthat
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
 Homepage: https://cran.r-project.org/package=mockery

## r-cran-mockery 0.4.2+dfsg

=== DESCRIPTION ===
Package: mockery
Version: 0.4.2
Title: Mocking Library for R
Description: 
    The two main functionalities of this package are creating mock
    objects (functions) and selectively intercepting calls to a given
    function that originate in some other function. It can be used
    with any testing framework available for R. Mock objects can
    be injected with either this package's own stub() function or a
    similar with_mock() facility present in the 'testthat' package.
Authors@R: c(
    person("Noam", "Finkelstein", role = c("aut")),
    person("Lukasz", "Bartnik", role = c("aut")),
    person("Jim", "Hester", role = c("cre"),
           email = "jim.hester@rstudio.com")
    )
URL: https://github.com/jfiksel/mockery
BugReports: https://github.com/jfiksel/mockery/issues
Imports: testthat
Suggests: knitr, rmarkdown (>= 1.0), R6
License: MIT + file LICENSE
Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2019-09-03 14:05:29 UTC; jhester
Author: Noam Finkelstein [aut],
  Lukasz Bartnik [aut],
  Jim Hester [cre]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2019-09-03 22:10:06 UTC

=== debian/changelog ===
r-cran-mockery (0.4.2+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 11:55:14 +0200

r-cran-mockery (0.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 11:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-r,
                r-base-dev,
                r-cran-testthat
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
 Homepage: https://cran.r-project.org/package=mockery
+Rules-Requires-Root: no
 
 Package: r-cran-mockery
 Architecture: all

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/mockery_([-\d.]*)\.tar\.gz

## r-cran-mockery 0.4.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-cran-testthat
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
 Homepage: https://cran.r-project.org/package=mockery

## r-cran-mockery 0.4.3+dfsg

=== DESCRIPTION ===
Package: mockery
Title: Mocking Library for R
Version: 0.4.3
Authors@R: c(
    person("Noam", "Finkelstein", role = "aut"),
    person("Lukasz", "Bartnik", role = "aut"),
    person("Jim", "Hester", role = "aut"),
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre"))
  )
Description: The two main functionalities of this package are creating
    mock objects (functions) and selectively intercepting calls to a given
    function that originate in some other function. It can be used with
    any testing framework available for R. Mock objects can be injected
    with either this package's own stub() function or a similar
    with_mock() facility present in the 'testthat' package.
License: MIT + file LICENSE
URL: https://github.com/r-lib/mockery
BugReports: https://github.com/r-lib/mockery/issues
Imports: testthat
Suggests: knitr, R6, rmarkdown (>= 1.0)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.2
Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
NeedsCompilation: no
Packaged: 2022-02-19 14:18:34 UTC; hadleywickham
Author: Noam Finkelstein [aut],
  Lukasz Bartnik [aut],
  Jim Hester [aut],
  Hadley Wickham [aut, cre]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-02-20 13:00:02 UTC

=== debian/changelog ===
r-cran-mockery (0.4.3+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.4.3+dfsg
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 02:40:03 +0530

## r-cran-mockery 0.4.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: mockery
 Title: Mocking Library for R
-Version: 0.4.3
+Version: 0.4.4
 Authors@R: c(
     person("Noam", "Finkelstein", role = "aut"),
     person("Lukasz", "Bartnik", role = "aut"),
@@ -20,14 +20,14 @@
 Suggests: knitr, R6, rmarkdown (>= 1.0)
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Collate: 'expectations.R' 'mockery.R' 'mock-object.R' 'stub.R'
 NeedsCompilation: no
-Packaged: 2022-02-19 14:18:34 UTC; hadleywickham
+Packaged: 2023-09-26 18:14:16 UTC; hadleywickham
 Author: Noam Finkelstein [aut],
   Lukasz Bartnik [aut],
   Jim Hester [aut],
   Hadley Wickham [aut, cre]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-02-20 13:00:02 UTC
+Date/Publication: 2023-09-26 18:50:02 UTC

=== debian/changelog ===
r-cran-mockery (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 15 Oct 2023 08:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-mockery
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
+Homepage: https://cran.r-project.org/package=mockery
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-testthat
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
-Homepage: https://cran.r-project.org/package=mockery
-Rules-Requires-Root: no
 
 Package: r-cran-mockery
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-r6,
        r-cran-rmarkdown (>= 1.0)
Restrictions: allow-stderr

## r-cran-mockery 0.4.5+dfsg

=== debian/changelog ===
r-cran-mockery (0.4.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 11:07:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-mockery
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-testthat,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mockery
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mockery.git
 Homepage: https://cran.r-project.org/package=mockery
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-testthat
 
 Package: r-cran-mockery
 Architecture: all
